Card Notification API
This method is used by Wallet Server to fetch messages for a specific virtual card.
Header parameters
x-podstring · max: 128Required
HTTP header identifying the pod and corresponding DNS hostname of the load balancer from which traffic is coming. Subsequent API calls should be sent to this pod.
Body
walletCardIdstring · min: 1 · max: 64Required
The Wallet Card Identifier. Unique for each wallet card.
lastUpdatedTimestampstring · date-timeOptional
Timestamp used for filtering messages. Messages already provided to wallet server before this timestamp will not be returned. Its format is as specified in RFC 3339
Responses
200
getMessages response payload
application/json
lastUpdatedTimestampstring · date-timeOptional
Timestamp used for filtering messages. Messages already provided to wallet server before this timestamp will not be returned. Its format is as specified in RFC 3339
500
Internal Server Error
post/getMessages
POST /getMessages HTTP/1.1
x-pod: text
Content-Type: application/json
Accept: */*
Content-Length: 177
{
"requestHeader": {
"requestId": "text",
"sessionId": "text",
"generationDateTime": "2026-01-01T00:00:00.000Z"
},
"walletCardId": "text",
"lastUpdatedTimestamp": "2026-01-01T00:00:00.000Z"
}{
"responseHeader": {
"responseId": "text",
"sessionId": "text",
"generationDateTime": "2026-01-01T00:00:00.000Z",
"statusCode": 1,
"statusMessage": "text"
},
"lastUpdatedTimestamp": "2026-01-01T00:00:00.000Z",
"messages": [
{
"identifier": "text",
"messageDate": "2026-01-01T00:00:00.000Z",
"expirationDate": "2026-01-01T00:00:00.000Z",
"content": "text",
"allowDeepLink": true
}
]
}Last updated
Was this helpful?